summaryrefslogtreecommitdiffstats
path: root/network/dillo
diff options
context:
space:
mode:
author Mikhail Zotov2010-05-13 00:36:10 +0200
committer David Somero2010-05-13 00:36:10 +0200
commitc3cca32d89dc715b5b82207d49a6aa47d7e399a2 (patch)
tree2f8d2a3572c3624c1351ea83de377e9b394e4a5a /network/dillo
parent9904452d56a1cf26fe801c89fba888277e9a1b87 (diff)
downloadslackbuilds-c3cca32d89dc715b5b82207d49a6aa47d7e399a2.tar.gz
network/dillo: Updated for version 2.2
Diffstat (limited to 'network/dillo')
-rw-r--r--network/dillo/README6
-rw-r--r--network/dillo/dillo.SlackBuild53
-rw-r--r--network/dillo/dillo.info14
-rw-r--r--network/dillo/doinst.sh14
-rw-r--r--network/dillo/slack-desc20
5 files changed, 66 insertions, 41 deletions
diff --git a/network/dillo/README b/network/dillo/README
index 318d41d5e2..847c09c965 100644
--- a/network/dillo/README
+++ b/network/dillo/README
@@ -1,2 +1,4 @@
-dillo is a lightweight web browser for Unix. It uses the GTK toolkit,
-so it can integrate with any window manager or desktop environment.
+Dillo is a multi-platform graphical web browser known for its speed
+and small footprint. It is written in C and C++ and is based on FLTK2.
+
+This requires fltk2.
diff --git a/network/dillo/dillo.SlackBuild b/network/dillo/dillo.SlackBuild
index ea82afdda4..22229a45bf 100644
--- a/network/dillo/dillo.SlackBuild
+++ b/network/dillo/dillo.SlackBuild
@@ -1,8 +1,8 @@
#!/bin/sh
-# Slackware build script for dillo
+# Slackware build script for dillo. It has NOT been tested on x86_64.
-# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# Copyright 2009-2010 Mikhail Zotov
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,12 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-set -e
-
PRGNAM=dillo
-VERSION=0.8.6
+VERSION=${VERSION:-2.2}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -36,42 +35,58 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R a-s,u+w,go+r-w .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --disable-dlgui \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
- --localstatedir=/var
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
make
-make install DESTDIR=$PKG
+make install-strip DESTDIR=$PKG
# Let's not clobber config files if they already exist
-mv $PKG/etc/dillorc $PKG/etc/dillorc.new
-mv $PKG/etc/dpidrc $PKG/etc/dpidrc.new
+mv $PKG/etc/dillo/dillorc $PKG/etc/dillo/dillorc.new
+mv $PKG/etc/dillo/dpidrc $PKG/etc/dillo/dpidrc.new
+mv $PKG/etc/dillo/keysrc $PKG/etc/dillo/keysrc.new
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog* INSTALL NEWS README* doc/*.txt \
- $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a \
+ README AUTHORS INSTALL COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -79,4 +94,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/dillo/dillo.info b/network/dillo/dillo.info
index 552ab750d5..92d235df73 100644
--- a/network/dillo/dillo.info
+++ b/network/dillo/dillo.info
@@ -1,8 +1,10 @@
PRGNAM="dillo"
-VERSION="0.8.6"
+VERSION="2.2"
HOMEPAGE="http://www.dillo.org/"
-DOWNLOAD="http://www.dillo.org/download/dillo-0.8.6.tar.bz2"
-MD5SUM="b65233d368bbd265a55effcf2c17f84b"
-MAINTAINER="Martin Lefebvre"
-EMAIL="dadexter@gmail.com"
-APPROVED="rworkman"
+DOWNLOAD="http://www.dillo.org/download/dillo-2.2.tar.bz2"
+MD5SUM="f8bcd62093f178bed81e46cc54e73f42"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikhail Zotov"
+EMAIL="mikhail dot ru at gmail dot com"
+APPROVED="dsomero"
diff --git a/network/dillo/doinst.sh b/network/dillo/doinst.sh
index fdf3c6249e..0d18ec2ded 100644
--- a/network/dillo/doinst.sh
+++ b/network/dillo/doinst.sh
@@ -1,15 +1,21 @@
config() {
NEW="$1"
- OLD="`dirname $NEW`/`basename $NEW .new`"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
- elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
# toss the redundant copy
rm $NEW
fi
# Otherwise, we leave the .new copy for the admin to consider...
}
-config etc/dillorc.new
-config etc/dpidrc.new
+config etc/dillo/dillorc.new
+config etc/dillo/dpidrc.new
+config etc/dillo/keysrc.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/network/dillo/slack-desc b/network/dillo/slack-desc
index 64990cdd08..cce3f54860 100644
--- a/network/dillo/slack-desc
+++ b/network/dillo/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler------------------------------------------------------|
dillo: dillo (dillo web browser)
-dillo:
-dillo: dillo is a lightweight web browser for Unix. It uses the GTK toolkit,
-dillo: so it can integrate with any window manager or desktop environment.
-dillo:
-dillo: This build includes dillo itself, as well as the dillo plugins.
-dillo:
-dillo:
-dillo:
-dillo:
-dillo:
+dillo:
+dillo: Dillo is a multi-platform graphical web browser known for its speed
+dillo: and small footprint. It is written in C and C++ and is based on
+dillo: FLTK2. Dillo is free software made available under the terms of the
+dillo: GNU GPLv3.
+dillo:
+dillo: Homepage: http://www.dillo.org
+dillo:
+dillo:
+dillo: